{ self, inputs, ... }:
let
  module = ./default.nix;
in
{
  clan.modules = {
    headscale = module;
  };
  # perSystem =
  #   { ... }:
  #   {
  #     clan.nixosTests.service-headplane = {
  #       imports = [ ./tests/vm/default.nix ];
  #       _module.args = { inherit self inputs; };
  #
  #       clan.modules."@clan/headplane" = module;
  #     };
  #   };
}
